# TODO: use gtk4-update-icon-cache
Summary:	Swell Foop game for GNOME
Summary(pl.UTF-8):	Gra Swell Foop dla GNOME
Name:		swell-foop
Version:	46.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/swell-foop/46/%{name}-%{version}.tar.xz
# Source0-md5:	cf32b23be4bd4d4732d581eee56274b4
URL:		https://wiki.gnome.org/Apps/Swell%20Foop
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.74
BuildRequires:	gtk4-devel >= 4.10
BuildRequires:	libgee-devel >= 0.14.0
BuildRequires:	libgnome-games-support2-devel >= 2.0.0
BuildRequires:	librsvg-devel >= 2.46
BuildRequires:	meson >= 0.60
BuildRequires:	ninja >= 1.5
BuildRequires:	pango-devel >= 1:1.8
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.22.0
BuildRequires:	vala-libgnome-games-support2 >= 2.0.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.74
Requires:	glib2-devel >= 1:2.74
Requires:	gtk4 >= 4.10
Requires:	hicolor-icon-theme
Requires:	libgee >= 0.14.0
Requires:	libgnome-games-support2 >= 2.0.0
Requires:	librsvg >= 2.46
Provides:	gnome-games-same-gnome
Provides:	gnome-games-swell-foop = 1:%{version}-%{release}
Obsoletes:	gnome-games-same-gnome < 1:2.30
Obsoletes:	gnome-games-swell-foop < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Remove groups of balls to try and clear the screen.

%description -l pl.UTF-8
Gra, której celem jest oczyszczanie planszy poprzez usuwanie grup kul.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/swell-foop
%{_datadir}/dbus-1/services/org.gnome.SwellFoop.service
%{_datadir}/glib-2.0/schemas/org.gnome.SwellFoop.gschema.xml
%{_datadir}/metainfo/org.gnome.SwellFoop.appdata.xml
%{_desktopdir}/org.gnome.SwellFoop.desktop
%{_iconsdir}/hicolor/*x*/apps/org.gnome.SwellFoop.png
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.SwellFoop-symbolic.svg
%changelog
* Sat May 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/swell-foop.git;a=log;h=master

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> c899643
- updated to 46.0 (gtk4 now)

* Wed Apr 13 2022 Jakub Bogusz <qboosh@pld-linux.org> ea85012
- updated to 41.1

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> bdd058a
- BR: vala-libgnome-games-support

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 13426f2
- updated to 41.0.1

* Thu May 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 0d5d7b5
- updated to 40.1

* Sat Mar 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 1713241
- updated to 40.0

* Wed Nov 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 1350e2d
- updated to 3.34.1

* Mon Apr 02 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 80d1263
- Update to 3.28.0

* Wed Mar 22 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 0a71964
- Update to 3.24.0

* Fri Nov 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 341ded0
- Update to 3.22.2

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> b9a1917
- updated to 3.18.1

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> b1824e3
- updated to 3.18.0

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 6b7abd1
- verbose icons files in system tree

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> f0980c5
- BR: appstream-glib-devel (APPSTREAM_XML in configure.ac)

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> e5b8cc5
- Update to 3.16.1

* Tue Jun 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 94bf169
- more verbose icon files, versioned glib2 dependency

* Thu May 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> ae72ba7
- Update to 3.12.2

* Sun Apr 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 63fcbb0
- Update to 3.12.1

* Sat Apr 12 2014 Marcin Banasiak <marcin.banasiak@gmail.com> a9324de
- Update to 3.12.0

* Sun Feb 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> e069ffc
- Update to 3.10.1

